## org.apache.fop.dom.svg
Class SVGURIReferenceImpl

    java.lang.Object
      |
      +--org.apache.fop.dom.NodeImpl
            |
            +--org.apache.fop.dom.ElementImpl
                  |
                  +--org.apache.fop.dom.svg.SVGElementImpl
                        |
                        +--org.apache.fop.dom.svg.GraphicElement
                              |
                              +--org.apache.fop.dom.svg.SVGURIReferenceImpl

Direct Known Subclasses:
  SVGAElementImpl, SVGCursorElementImpl, SVGFilterElementImpl, SVGGradientElementImpl, SVGPatternElementImpl

public class SVGURIReferenceImpl
extends GraphicElement
implements org.w3c.dom.svg.SVGURIReference

Fields inherited from class org.apache.fop.dom.svg.GraphicElement
`reqExtensions, reqFeatures, sysLanguage`

Fields inherited from class org.apache.fop.dom.NodeImpl
`childs, ownerDoc`

Constructor Summary
`SVGURIReferenceImpl()`

Method Summary
`org.w3c.dom.svg.SVGAnimatedBoolean` `getExternalResourcesRequired()`
`org.w3c.dom.svg.SVGAnimatedString` `getHref()`
`java.lang.String` `getXlinkActuate()`
`java.lang.String` `getXlinkArcRole()`
`java.lang.String` `getXlinkRole()`
`java.lang.String` `getXlinkShow()`
`java.lang.String` `getXlinkTitle()`
`java.lang.String` `getXlinkType()`
`void` `setExternalResourcesRequired(org.w3c.dom.svg.SVGAnimatedBoolean externalResourcesRequired)`
`void` `setHref(org.w3c.dom.svg.SVGAnimatedString href)`
`void` `setXlinkActuate(java.lang.String xlinkActuate)`
`void` `setXlinkArcRole(java.lang.String xlinkArcRole)`
`void` `setXlinkRole(java.lang.String xlinkRole)`
`void` `setXlinkShow(java.lang.String xlinkShow)`
`void` `setXlinkTitle(java.lang.String xlinkTitle)`
`void` `setXlinkType(java.lang.String xlinkType)`

Methods inherited from class org.apache.fop.dom.svg.GraphicElement
`addEventListener, dispatchEvent, getBBox, getChildrenBBox, getCTM, getFarthestViewportElement, getNearestViewportElement, getRequiredExtensions, getRequiredFeatures, getScreenCTM, getSystemLanguage, getTransform, getTransformToElement, getXMLlang, getXMLspace, hasExtension, removeEventListener, setRequiredExtensions, setRequiredFeatures, setSystemLanguage, setTransform, setXMLlang, setXMLspace`

Methods inherited from class org.apache.fop.dom.svg.SVGElementImpl
`appendChild, getAnimatedPresentationAttribute, getClassName, getId, getNamespaceURI, getOwnerSVGElement, getPresentationAttribute, getStyle, getViewportElement, setClassName, setId, setOwnerSVG, setStyle`

Methods inherited from class org.apache.fop.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, hasAttribute, hasAttributeNS, hasAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, replaceChild, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from class org.apache.fop.dom.NodeImpl
`cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTagName, hasChildNodes, insertBefore, isSupported, normalize, removeChild, setNodeValue, setPrefix, supports`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGURIReferenceImpl

    public SVGURIReferenceImpl()

Method Detail

### getXlinkType

    public java.lang.String getXlinkType()

  Specified by:
    getXlinkType in interface org.w3c.dom.svg.SVGURIReference

### setXlinkType

    public void setXlinkType(java.lang.String xlinkType)

  Specified by:
    setXlinkType in interface org.w3c.dom.svg.SVGURIReference

### getXlinkRole

    public java.lang.String getXlinkRole()

  Specified by:
    getXlinkRole in interface org.w3c.dom.svg.SVGURIReference

### setXlinkRole

    public void setXlinkRole(java.lang.String xlinkRole)

  Specified by:
    setXlinkRole in interface org.w3c.dom.svg.SVGURIReference

### getXlinkTitle

    public java.lang.String getXlinkTitle()

  Specified by:
    getXlinkTitle in interface org.w3c.dom.svg.SVGURIReference

### setXlinkTitle

    public void setXlinkTitle(java.lang.String xlinkTitle)

  Specified by:
    setXlinkTitle in interface org.w3c.dom.svg.SVGURIReference

### getXlinkArcRole

    public java.lang.String getXlinkArcRole()

  Specified by:
    getXlinkArcRole in interface org.w3c.dom.svg.SVGURIReference

### setXlinkArcRole

    public void setXlinkArcRole(java.lang.String xlinkArcRole)

  Specified by:
    setXlinkArcRole in interface org.w3c.dom.svg.SVGURIReference

### getXlinkShow

    public java.lang.String getXlinkShow()

  Specified by:
    getXlinkShow in interface org.w3c.dom.svg.SVGURIReference

### setXlinkShow

    public void setXlinkShow(java.lang.String xlinkShow)

  Specified by:
    setXlinkShow in interface org.w3c.dom.svg.SVGURIReference

### getXlinkActuate

    public java.lang.String getXlinkActuate()

  Specified by:
    getXlinkActuate in interface org.w3c.dom.svg.SVGURIReference

### setXlinkActuate

    public void setXlinkActuate(java.lang.String xlinkActuate)

  Specified by:
    setXlinkActuate in interface org.w3c.dom.svg.SVGURIReference

### getHref

    public org.w3c.dom.svg.SVGAnimatedString getHref()

  Specified by:
    getHref in interface org.w3c.dom.svg.SVGURIReference

### setHref

    public void setHref(org.w3c.dom.svg.SVGAnimatedString href)

### getExternalResourcesRequired

    public org.w3c.dom.svg.SVGAnimatedBoolean getExternalResourcesRequired()

  Overrides:
    getExternalResourcesRequired in class SVGElementImpl

### setExternalResourcesRequired

    public void setExternalResourcesRequired(org.w3c.dom.svg.SVGAnimatedBoolean externalResourcesRequired)

  Overrides:
    setExternalResourcesRequired in class SVGElementImpl

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.